package tagInducer;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;

import utils.FileUtils;

public class ReadResults {
	
	public ReadResults() throws IOException{
		FileUtils f = new FileUtils();
		BufferedReader in;
		String line;
		String[] dirList = new File("results").list();
		for (String dir:dirList){
			if (dir.startsWith("@")) continue;
			String[] subDirs = new File("results/"+dir).list();
			for (String corpus:subDirs){
				in = f.createIn("results/"+dir+"/"+corpus+"/log");
				double maxP = Double.NEGATIVE_INFINITY;
				double vm = 0;
				double m1 = 0;
				while ((line=in.readLine())!=null){
					double log = Double.parseDouble(line.split("\t")[1]);
					double vmCur = Double.parseDouble(line.split("\t")[3]);
					double m1Cur = Double.parseDouble(line.split("\t")[2]);
					if (log > maxP){
						maxP = log;
						vm = vmCur;
						m1 = m1Cur;
					}
				}
				System.out.println(dir+"\t"+corpus+"\t"+m1+"\t"+vm);
			}
		}
	}

	public static void main(String[] args){
		try{new ReadResults();}
		catch (IOException e){e.printStackTrace();}
	}
}
